#!/bin/sh
#
# demo1.sh: Mark Hasegawa-Johnson, 12/2/2003
# Transcription_Tools
# Illinois Speech and Language Engineering (ISLE group)
#
echo <<EOF
This demo will convert TIMIT transcriptions into Praat, by way of MLF.
You must edit this script before using: 
           change the variables $TIMIT_ROOT and $TIMIT_RATE

Files created:
  TRAIN.scp, TEST.scp - script files that could be used with HCopy
  TRAIN.mlf, TEST.mlf - HTK master label files
  $outdir/(TRAIN|TEST)/DR[12345678]/xxxxx/xxx.TextGrid 
      - Praat TextGrids for every TIMIT file
EOF

######################
# $TIMIT_ROOT should point to the root directory of timit on your system
TIMIT_ROOT=/cygdrive/c/ntimit_cd1/NTIMIT;
# $TIMIT_RATE should be the sampling rate of TIMIT files on your system
TIMIT_RATE=16000;
echo DEMO1.SH assumes TIMIT files are in $TIMIT_ROOT;
echo DEMO1.SH assumes TIMIT files are sampled at $TIMIT_RATE samples/second;
#######################

# Create the HTK script files
makescripts.pl WRD $TIMIT_ROOT/TRAIN > TRAIN.scp
makescripts.pl WRD $TIMIT_ROOT/TEST > TEST.scp

# Create the HTK master label files
sphere2mlf.pl TRAIN.scp $TIMIT_RATE phn wrd > TRAIN.mlf
sphere2mlf.pl TEST.scp $TIMIT_RATE phn wrd > TEST.mlf

# Convert HTK master label files to TextGrid
mlf2praat.pl TRAIN.scp TRAIN.mlf
mlf2praat.pl TEST.scp TEST.mlf

