#!/usr/bin/perl
# split_lattice.pl: Mark Hasegawa-Johnson, October 2003
# Illinois Speech and Language Engineering (ISLE group)
#
# Usage text (printed if split_lattice.pl is called with no arguments):
$USAGE=<<ENDUSAGE;

split_lattice.pl: Split a multi-utterance lattice file into 
   separate files for each utterance

Usage:
 split_lattice.pl infile

Read in the input file.  Create an output file for each utterance in
the input file.

ENDUSAGE


###########################################
if (@ARGV == 0) { print STDERR $USAGE; exit; }

$filename="";

while (<>) {
  if(/UTTERANCE=(.*)/) {
    if($filename ne "") { close(FID); }
    $filename=$1 . '.lat';
    open(FID,">$filename") || die "Unable to write to $filename: $!";
    print STDERR "Writing to $filename\n";
  }
  print FID $_;
}

